
#
# $B%U%!%$%kL>>N(B: CheckHostname.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(BBruce Blinn$BCx!"(BPrentice Hall$B4)9T$N(B
# $B!V(BShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(B
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(B
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(B
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(B
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(B
#

CheckHostname() {
     #
     # $BL>>N(B
     #    CheckHostname - $B%[%9%H$,B8:_$9$k$+$I$&$+$rH=Dj$9$k(B
     #
     # $B=q<0(B
     #    CheckHostname [hostname]
     #
     # $B2r@b(B
     #    $B;XDj$7$?%[%9%H$,B8:_$9$l$P??!J#0!K$rJV$7!"(B
     #    $B$=$&$G$J$1$l$P56!J#1!K$rJV$9!#(B
     #    $B%[%9%HL>>N$r;XDj$7$F$$$J$$>l9g!"(B
     #    $B8=:_;HMQCf$N%[%9%HL>>N$r%A%'%C%/$9$k!#(B
     #
     _PING=                   # ping $B%3%^%s%I$r;H$$J,$1$k(B
     _HOST=${1:-`hostname`}   # $B%A%'%C%/$9$k%[%9%HL>>N(B

     case `uname -s` in
          FreeBSD ) _PING="ping -c1 $_HOST"  ;; # FreeBSD
          Linux )   _PING="ping -c1 $_HOST"  ;; # Linux
          OSF1 )    _PING="ping -c1 $_HOST"  ;; # DEC OSF
          HP-UX )   _PING="ping $_HOST 64 1" ;; # HP-UX
          IRIX )    _PING="ping -c1 $_HOST"  ;; # SGI
          SunOS )   _PING="ping $_HOST"      ;; # BSD and
                                                # Solaris
          * )       return 1                 ;;
     esac

     if [ `$_PING 2>&1 | grep -ci "Unknown host"` -eq 0 ]
     then
          return 0
     else
          return 1
     fi
}
