
#
# File: FullName.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

FullName() {
     #
     # $BL>>N(J
     #    FullName - $B%U%!%$%k$d%G%#%l%/%H%j$N40A4%Q%9L>$rJV$9(J
     #
     # $B=q<0(J
     #    FullName filename | directory
     #
     # $B2r@b(J
     #    $B;XDj$5$l$?%U%!%$%k$d%G%#%l%/%H%j$r40A4%Q%9L>$G(J
     #    $BI=8=$7$?$b$N$rJV$94X?t!#(J 
     #    $B40A4%Q%9L>$H$O(J / $B$G;O$^$k%U%!%$%k$d%G%#%l%/%H%j$NL>>NI=<($N$3$H!#(J
     #    $B7k2L$OI8=`=PNO$KI=<($9$k!#(J
     #    $B;XDj$7$?%U%!%$%k$d%G%#%l%/%H%j$,B8:_$7$J$+$C$?$i!"(J
     #    $B$=$N$^$^2?$b$;$:$K$b$H$NL>A0$rI=<($9$k!#(J
     #    
     _CWD=`pwd`          # $B8=:_$N:n6H%G%#%l%/%H%j$r3P$($5$;$k(J

     if [ $# -ne 1 ]; then
          echo "Usage: FullName filename | directory" 1>&2
          exit 1
     fi

     if [ -d $1 ]; then
          cd $1
          echo `pwd`
     elif [ -f $1 ]; then
          cd `dirname $1`
          echo `pwd`/`basename $1`
     else
          echo $1
     fi

     cd $_CWD            # $B$b$H$N:n6H%G%#%l%/%H%j$KLa$k(J
}
