
#
# File: GetYesNo.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

GetYesNo() {
     #
     # $BL>>N(J
     #    GetYesNo - $B<ALd$r=P$7$=$l$KBP$9$k(J Yes $B$+(J No $B$N1~$($r<hF@$9$k(J
     #
     # $B=q<0(J
     #    GetYesNo "message"
     #
     # $B2r@b(J
     #    $B$"$k%a%C%;!<%8$r=PNO$7!"$=$l$KBP$7$F$N1~$($H$7$F(J
     #    Yes $B$+(J No $B$rMW5a$9$k4X?t!#(J
     #    Yes $B$,1~$($i$l$?$i??!J#0!K$rJV$7!"(J
     #    No $B$G$"$l$P56!J#1!K$rJV$9(J
     #    Yes $B$G$b(J No $B$G$b$J$$>l9g$K$O$I$C$A$+$rF~NO$9$k$h$&(J
     #    $B$KMW5a$9$k!#I,$:$I$A$i$+$NF~NO$r$7$J$$$H=*N;$7$J$$!#(J
     #
     _ANSWER=            # $B%f!<%6$,F~NO$9$k1~$($rF~$l$kJQ?t(J

     if [ $# -eq 0 ]; then
          echo "Usage: GetYesNo message" 1>&2
          exit 1
     fi

     while :
     do
          if [ "`echo -n`" = "-n" ]; then
               echo "$@\c"
          else
               echo -n "$@"
          fi
          read _ANSWER
          case "$_ANSWER" in
               [yY] | yes | YES | Yes ) return 0       ;;
               [nN] | no  | NO  | No  ) return 1       ;;
               * ) echo "Please enter y or n."         ;;
          esac
     done
}
