
#
# File: IsNewer.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

IsNewer() {
     #
     # $BL>>N(J
     #    IsNewer - 2$B$D$N%U%!%$%k$NF|IU$rHf$Y$k(J
     #
     # $B=q<0(J
     #    IsNewer file1 file2
     #
     # $B2r@b(J
     #    file2 $B$NF|IU$h$j$b(J file1 $B$NF|IU$NJ}$,?7$7$$!J:G6a$N$b$N!K(J
     #    $B$J$i$P??!J#0!K$rJV$7!"$=$&$G$J$1$l$P56!J#1!K$rJV$94X?t!#(J
     #    $BF|IU$H$$$&$N$O$=$N%U%!%$%k$N:G=*99?7;~9o$r$$$&!#(J
     #    
     if [ $# -ne 2 ]; then
          echo "Usage: IsNewer file1 file2" 1>&2
          exit 1
     fi

     if [ ! -f $1 -o ! -f $2 ]; then
          return 1       # $B;XDj$5$l$?$b$N$,%U%!%$%k$G$J$+$C$?>l9g(J
     fi

     if [ -n "`find $1 -newer $2 -print`" ]; then
          return 0       # $B?7$7$$(J
     else
          return 1       # $B?7$7$/$J$$(J
     fi
}
