
#
# File: IsSystemType.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

IsSystemType() {
     #
     # $BL>>N(J
     #    IsSystemType - $B%7%9%F%`$N%?%$%W$,@5$7$$$+$I$&$+$rH=Dj$9$k(J
     #
     # $B=q<0(J
     #    IsSystemType string
     #
     # $B2r@b(J
     #    $B;XDj$7$?J8;zNs$,:#F0:n$7$F$$$k%7%9%F%`$rI=$o$9$b$N$+$I$&$+(J
     #    $B$rD4$Y$k4X?t!#(Juname $B%3%^%s%I$r;H$C$F%A%'%C%/$7!"(J
     #    $B9g$C$F$$$l$P??!J#0!K$rJV$79g$C$F$$$J$1$l$P56!J#1!K$rJV$9!#(J
     #
     if [ $# -ne 1 ]; then
          echo "Usage: IsSystemType string" 1>&2
          exit 1
     fi

     if [ "$1" = "`uname -s`" ]; then
          return 0
     elif [ "$1" = "`uname -m`" ]; then
          return 0
     else
          case `uname -r` in
               "$1"* ) return 0 ;;
          esac
     fi
     return 1
}
