
#
# File: Question.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

Question() {
     #
     # $BL>>N(J
     #    Question - $B1~Ez$rMW5a$9$k(J
     #
     # $B=q<0(J
     #    Question question default helpmessage
     #
     # $B2r@b(J
     #    $B;XDj$7$?%a%C%;!<%8$rI8=`=PNO$K=q$-=P$7!"(J
     #    $B%f!<%6$K1~Ez$rMW5a$9$k4X?t!#(J
     #    $B%f!<%6$NF~NO$7$?1~Ez7k2L$O(J ANSWER $B$H$$$&JQ?t$KBeF~$9$k!#(J
     #
     #    $B%f!<%6$O4pK\E*$K$I$&$$$&J8;zNs$rF~NO$7$F$b$h$$(J
     #    $B!J0l1~!"%f!<%6$NF~NO$,(J yes $B$+(J no $B$+$N>l9g$O9MN8$7$F$$$k!K!#(J
     #    $BF~NO$5$l$?J8;zNs$KBP$7$F$N=hM}$N<B9T$O(J
     #    $BJQ?t(J ANSWER $B$NCM$rH=CG$7$F3F%7%'%k%9%/%j%W%H$G9T$&!#(J
     #    
     #    $BF~NO9`L\$K%G%U%)%k%HCM$r@_Dj2DG=!#(J
     #    $B$3$NCM$r@_Dj$7$F$*$/$H!"Ld$$9g$o$;%a%C%;!<%8$N$"$H$K(J
     #    [ ]$B$G3g$C$F$=$l$r=PNO$9$k!#(J
     #    $B%f!<%6$O6u%(%s%?$G$3$N%G%U%)%k%HCM$rF~NO$7$?$3$H$K$J$k!#(J
     #
     #    $B%X%k%W%a%C%;!<%8$b;XDj2DG=!#(J
     #    $B%f!<%6$,1~EzF~NO;~$K(J ? $B$H%?%$%W$9$l$P!"(J
     #    $B2?$rLd$&$F$$$k$N$+!"2?$r1~$($l$P$I$&$$$&=hM}$r$9$k$N$+$H$$$&(J
     #    $B%a%C%;!<%8$rI=<($G$-$k!#(J
     #    $B%X%k%W%a%C%;!<%8=PNO8e!":FEY1~EzMW5a%a%C%;!<%8$r=PNO$9$k!#(J
     #
     #    $B%G%U%)%k%H$N1~Ez$H%X%k%W%a%C%;!<%8$O!"@_Dj$7$J$$>l9g$K$O(J
     #    "" $B$H$$$&6u$NJ8;zNs$r0z?t$K;XDj$7$J$/$F$O$J$i$J$$!#(J
     #
     #    $B%f!<%6$O1~EzF~NO;~$K(J q $B$H%?%$%W$9$k$3$H$G(J
     #    $B%7%'%k%9%/%j%W%H$r=*N;$9$k$3$H$,2DG=!#(J
     #
     #    $B1~EzF~NO;~$K!"(J! $B$rIU$1$FIaDL$N%3%^%s%I$r<B9T2DG=!#(J
     #    $B%3%^%s%I$r<B9T$77k2L$r3NG'$7$F$+$iF~NO$G$-$k$h$&$K$7$?$b$N!#(J
     #    $B%3%^%s%I$N<B9T8e!":FEY1~EzMW5a%a%C%;!<%8$r=PNO$9$k!#(J
     #
     #    $B%G%P%C%0%b!<%I$rMQ0U$7$F$$$k!#(J
     #    $B1~EzF~NO;~$K(J -x$B!"(J+x $B$G%G%P%C%0%b!<%I$N%*%s%*%U$r@Z$jBX$($k!#(J
     #
     if [ $# -lt 3 ]; then
          echo "Usage: Question question" \
               "default helpmessage" 1>&2
          exit 1
     fi
     ANSWER=             # $B%f!<%6$NF~NO%G!<%?$rBeF~$9$kJQ?t(J
     _DEFAULT=$2         # $B%G%U%)%k%H$NCM$r%;%C%H(J
     _QUESTION=          # $BF~NOMW5a%a%C%;!<%8$rBeF~$9$kJQ?t(J
     _HELPMSG=$3         # $B%X%k%W%a%C%;!<%8$rBeF~$9$kJQ?t(J

     if [ "$_DEFAULT" = "" ]; then
          _QUESTION="$1? "
     else
          _QUESTION="$1 [$_DEFAULT]? "
     fi

     while :
     do
          if [ "`echo -n`" = "-n" ]; then
               echo "$_QUESTION\c"
          else
               echo -n "$_QUESTION"
          fi
          read ANSWER
          case `echo "$ANSWER" | tr [A-Z] [a-z]` in
               "" ) if [ "$_DEFAULT" != "" ]; then
                         ANSWER=$_DEFAULT
                         break
                    fi
                    ;;

          yes | y ) ANSWER=yes
                    break
                    ;;

           no | n ) ANSWER=no
                    break
                    ;;

         quit | q ) exit 1
                    ;;

          +x | -x ) set $ANSWER
                    ;;

               !* ) eval `expr "$ANSWER" : "!\(.*\)"`
                    ;;

              "?" ) echo ""
                    if [ "$_HELPMSG" = "" ]; then
                         echo "No help available."
                    else
                         echo "$_HELPMSG"
                    fi
                    echo ""
                    ;;

               * )  break
                    ;;
          esac
     done
}
