
#
# File: SystemType.sh
#
# Copyright 1995, by Hewlett-Packard Company
#
# The code in this file is from the book "Shell Programming
# Examples" by Bruce Blinn, published by Prentice Hall.
# This file may be copied free of charge for personal,
# non-commercial use provided that this notice appears in
# all copies of the file.  There is no warranty, either
# expressed or implied, supplied with this code.
#
# $B$3$N%U%!%$%k$N%3!<%I$O(JBruce Blinn$BCx!"(JPrentice Hall$B4)9T$N(J
# $B!V(JShell Programming Examples$B!W$K7G:\$5$l$F$$$?$b$N$G$9!#(J
# $B$3$N%U%!%$%k$O!"8D?M$H$7$F1DMx$rL\E*$H$;$:MxMQ$9$k8B$j!"(J
# $BL5=~$GJ#@=$7$F$+$^$$$^$;$s!#$=$N>l9g!"J#@=$N$9$Y$F$K(J
# $B$3$N@bL@J8$,4^$^$l$F$$$kI,MW$,$"$j$^$9!#$3$N%3!<%I$K(J
# $B4X$7$F$O!"L@<(E*$K$b0EL[E*$K$b$$$+$J$kJ]>Z$b9T$$$^$;$s!#(J
#

SystemType() {
     #
     # $BL>>N(J
     #    SystemType - $B$=$N%7%9%F%`$rH=CG$9$kL>>N$r=PNO$9$k(J
     #
     # $B=q<0(J
     #    SystemType
     #
     # $B2r@b(J
     #    $B$3$N4X?t$O%7%9%F%`$N%?%$%W$rH=JL$7!"0J2<$N(J
     #    $B$$$:$l$+$NJ8;zNs$rJV$9!#(J
     #    
     #         FREEBSD   LINUX     AIX       DECOSF    HP
     #         SCO       SGI       SOLARIS   SUNBSD    ULTRIX
     #
     #    ULTRIX $B$O(J DEC $B$N8E$$%?%$%W$N(J BSD $B7O$N%7%9%F%`$G$"$j!"(J
     #    DECOSF $B$O(J OSF $B$r%Y!<%9$K$7$?(J DEC $B$N%7%9%F%`!#(J
     #
     #    SUNBSD $B$O(J SUN $B$N(J BSD $B7O$N$b$N!J%P!<%8%g%s$,(J 4.xx$B!K$G$"$j!"(J
     #    SOLARIS $B$O(J SUN $B$N(J System V $B7O!J%P!<%8%g%s$,(J 5.xx$B!K!#(J
     #
     #    $B%7%9%F%`$,H=JL$G$-$J$+$C$?>l9g$K$O%L%kJ8;z$rJV$9!#(J
     #
     _HOSTNAME=`hostname | sed 's/\..*//'`

     case `uname -s` in
          FreeBSD )      echo FREEBSD             ;;
          Linux )        echo LINUX               ;;
          AIX )          echo AIX                 ;;
          HP-UX )        echo HP                  ;;
          IRIX )         echo SGI                 ;;
          OSF1 )         echo DECOSF              ;;
          ULTRIX )       echo ULTRIX              ;;
          SunOS )        case `uname -r` in
                              4*)  echo SUNBSD    ;;
                              5*)  echo SOLARIS   ;;
                         esac
                         ;;
          $_HOSTNAME )   case `uname -m` in
                              IP*)      echo SGI  ;;
                              i386)     echo SCO  ;;
                         esac
                         ;;
     esac
}
